Sparc 2 running Solaris 2.6 ????

Sparc 2 running Solaris 2.6 ????

Post by pete » Fri, 19 Feb 1999 04:00:00



Hi.

I have two old Sparc 2's w/ 64 megs ram. ROM rev 2.0.  Whoever had these
before was using them as terminals.  When you boot them, they look for an
external boot device (that's beside the point).  I want to install Solaris
2.6 or 7 on it.  Is there any reason why it won't work? Assuming the
internal hard drive is big enough.

Next question.  Do Sun's have a bios that need updating?  If so, how do you
do it...  Assuming I can install 2.6 on this machine or 7 for that matter,
I'd like it to be Y2K compliant.

Thanks
Peter

 
 
 

Sparc 2 running Solaris 2.6 ????

Post by Robbi » Fri, 19 Feb 1999 04:00:00


I do not believe that Solaris 2.6 or 7 will are available for the Sparc 2.
That's like putting Window 98 or Windows NT on a PC XT, PC AT or 386.  I
wouldn't try it if I were you.


> Hi.

> I have two old Sparc 2's w/ 64 megs ram. ROM rev 2.0.  Whoever had these
> before was using them as terminals.  When you boot them, they look for an
> external boot device (that's beside the point).  I want to install Solaris
> 2.6 or 7 on it.  Is there any reason why it won't work? Assuming the
> internal hard drive is big enough.

> Next question.  Do Sun's have a bios that need updating?  If so, how do you
> do it...  Assuming I can install 2.6 on this machine or 7 for that matter,
> I'd like it to be Y2K compliant.

> Thanks
> Peter


--
  ____ ____ ___  ___  _ __ _   ___  ____ ____ _  _ _  _ ____
  |--< [__] |==] |==] | | \|   |==] |--< |--| |--| |\/| ====

          TRW S&ITG IDIS *  12900 Federal Systems Park *
                  Fairfax, VA 22030
  ____________________________________________________________
   \ The opinions contained within this message are my own  /
    \        and may not reflect the views of TRW          /
       .-. --- -... -... .. -.   -... .-. .- .... -- ...

 
 
 

Sparc 2 running Solaris 2.6 ????

Post by Robbi » Fri, 19 Feb 1999 04:00:00



> I do not believe that Solaris 2.6 or 7 will are available for the Sparc 2.
> That's like putting Window 98 or Windows NT on a PC XT, PC AT or 386.  I
> wouldn't try it if I were you.


> > Hi.

> > I have two old Sparc 2's w/ 64 megs ram. ROM rev 2.0.  Whoever had these
> > before was using them as terminals.  When you boot them, they look for an
> > external boot device (that's beside the point).

If you go to the EEProm "OK" prompt and do an "env" or printenv it will show you
probably that the boot device is set to net.  You'd want to set it to disk if you
are putting one in there.

> I want to install Solaris
> > 2.6 or 7 on it.  Is there any reason why it won't work? Assuming the
> > internal hard drive is big enough.

> > Next question.  Do Sun's have a bios that need updating?  If so, how do you
> > do it...  Assuming I can install 2.6 on this machine or 7 for that matter,
> > I'd like it to be Y2K compliant.

> > Thanks
> > Peter

> --
>   ____ ____ ___  ___  _ __ _   ___  ____ ____ _  _ _  _ ____
>   |--< [__] |==] |==] | | \|   |==] |--< |--| |--| |\/| ====

>           TRW S&ITG IDIS *  12900 Federal Systems Park *
>                   Fairfax, VA 22030
>   ____________________________________________________________
>    \ The opinions contained within this message are my own  /
>     \        and may not reflect the views of TRW          /
>        .-. --- -... -... .. -.   -... .-. .- .... -- ...

--
  ____ ____ ___  ___  _ __ _   ___  ____ ____ _  _ _  _ ____
  |--< [__] |==] |==] | | \|   |==] |--< |--| |--| |\/| ====

          TRW S&ITG IDIS *  12900 Federal Systems Park *
                  Fairfax, VA 22030
  ____________________________________________________________
   \ The opinions contained within this message are my own  /
    \        and may not reflect the views of TRW          /
       .-. --- -... -... .. -.   -... .-. .- .... -- ...
 
 
 

Sparc 2 running Solaris 2.6 ????

Post by Alan Coopersmi » Sat, 20 Feb 1999 04:00:00


[Followups set to comp.unix.solaris, where this discussion belongs.]


>I do not believe that Solaris 2.6 or 7 will are available for the Sparc 2.

You believe wrong, we've got Sparc 2's that have run Solaris 2.6 for
over a year and which now run 7 just fine.  (They've all got 32-64 megs
of RAM though.)

Quote:>That's like putting Window 98 or Windows NT on a PC XT, PC AT or 386.  I
>wouldn't try it if I were you.

No, it's nothing like that.  Unlike Microsoft OS'es, successive releases
of Solaris usually IMPROVE performance on the same machine, instead of
requiring major hardware upgrades to support them.

Quote:>> Next question.  Do Sun's have a bios that need updating?  If so, how do you
>> do it...  Assuming I can install 2.6 on this machine or 7 for that matter,
>> I'd like it to be Y2K compliant.

The Sun equivalent is the OpenBoot PROM.  While you can flash update it
on newer machines, older machines require replacing the PROM chip.

--
________________________________________________________________________

Univ. of California at Berkeley         http://soar.Berkeley.EDU/~alanc/

 
 
 

Sparc 2 running Solaris 2.6 ????

Post by Chris Nichols - World Ram » Mon, 22 Feb 1999 04:00:00


Solaris 2.6 runs on a Sparc 2. Matter of fact it was optimized to run much
better than 2.5 on that type of architecture.  2.7 is supposed to even run
better.  True, it is not optimal, but if you have any of these machines
laying around, they make great little web servers


>I do not believe that Solaris 2.6 or 7 will are available for the Sparc 2.
>That's like putting Window 98 or Windows NT on a PC XT, PC AT or 386.  I
>wouldn't try it if I were you.


>> Hi.

>> I have two old Sparc 2's w/ 64 megs ram. ROM rev 2.0.  Whoever had these
>> before was using them as terminals.  When you boot them, they look for an
>> external boot device (that's beside the point).  I want to install
Solaris
>> 2.6 or 7 on it.  Is there any reason why it won't work? Assuming the
>> internal hard drive is big enough.

>> Next question.  Do Sun's have a bios that need updating?  If so, how do
you
>> do it...  Assuming I can install 2.6 on this machine or 7 for that
matter,
>> I'd like it to be Y2K compliant.

>> Thanks
>> Peter

>--
>  ____ ____ ___  ___  _ __ _   ___  ____ ____ _  _ _  _ ____
>  |--< [__] |==] |==] | | \|   |==] |--< |--| |--| |\/| ====

>          TRW S&ITG IDIS *  12900 Federal Systems Park *
>                  Fairfax, VA 22030
>  ____________________________________________________________
>   \ The opinions contained within this message are my own  /
>    \        and may not reflect the views of TRW          /
>       .-. --- -... -... .. -.   -... .-. .- .... -- ...